# Event Markers

## GET /event-markers/active

> Get currently active event markers (date <= now <= endDate)

```json
{"openapi":"3.1.0","info":{"title":"Ethos API","version":"v2"},"tags":[{"name":"event-markers"}],"servers":[{"url":"https://api.ethos.network/api/v2"}],"paths":{"/event-markers/active":{"get":{"operationId":"eventMarkers-listActive","summary":"Get currently active event markers (date <= now <= endDate)","tags":["event-markers"],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number"},"date":{"type":"string"},"description":{"type":"string"},"endDate":{"anyOf":[{"type":"string"},{"type":"null"}]},"header":{"anyOf":[{"type":"string"},{"type":"null"}]},"linkLabel":{"anyOf":[{"type":"string"},{"type":"null"}]},"linkUrl":{"anyOf":[{"type":"string"},{"type":"null"}]},"tagText":{"anyOf":[{"type":"string"},{"type":"null"}]},"tagUrl":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}},"required":["id","date","description","endDate","header","linkLabel","linkUrl","tagText","tagUrl","createdAt","updatedAt"],"additionalProperties":false}}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}},"components":{"schemas":{"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}}}
```

## GET /event-markers

> Get event markers within a date range

```json
{"openapi":"3.1.0","info":{"title":"Ethos API","version":"v2"},"tags":[{"name":"event-markers"}],"servers":[{"url":"https://api.ethos.network/api/v2"}],"paths":{"/event-markers":{"get":{"operationId":"eventMarkers-listByDateRange","summary":"Get event markers within a date range","tags":["event-markers"],"parameters":[{"in":"query","name":"endDate","schema":{"type":"string"},"required":true},{"in":"query","name":"startDate","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number"},"date":{"type":"string"},"description":{"type":"string"},"endDate":{"anyOf":[{"type":"string"},{"type":"null"}]},"header":{"anyOf":[{"type":"string"},{"type":"null"}]},"linkLabel":{"anyOf":[{"type":"string"},{"type":"null"}]},"linkUrl":{"anyOf":[{"type":"string"},{"type":"null"}]},"tagText":{"anyOf":[{"type":"string"},{"type":"null"}]},"tagUrl":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}},"required":["id","date","description","endDate","header","linkLabel","linkUrl","tagText","tagUrl","createdAt","updatedAt"],"additionalProperties":false}}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}},"components":{"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.ethos.network/api-documentation/api-v2/event-markers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
